API ReferenceTo Do Item
Create ToDo
POST
Create ToDo
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new ToDoItem resource
- body
name*stringLength
length <= 100ToDoItem resource created
- response
id?stringFormat
uuidweight?integername?stringLength
length <= 100isChecked?booleancheckedAt?|Format
date-timecurl -X POST 'https://app.icproject.com/api/instance/demo/user/to-do-items' \ -H 'Content-Type: application/json' \ -d '{ "name": "string"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "weight": 0, "name": "string", "isChecked": true, "checkedAt": "2019-08-24T14:15:22Z"}